# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeToroidalSurface Class Reference

This class implements the mapping between class
ToroidalSurface from Geom and the class
ToroidalSurface from StepGeom which describes a
toroidal_surface from Prostep
.

`#include <GeomToStep_MakeToroidalSurface.hxx>`

Inheritance diagram for GeomToStep_MakeToroidalSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeToroidalSurface (const Handle(Geom_ToroidalSurface)&TorSurf)
Standard_EXPORT const Handle_StepGeom_ToroidalSurface & | Value () const

## Private Attributes

Handle_StepGeom_ToroidalSurface | theToroidalSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeToroidalSurface::GeomToStep_MakeToroidalSurface | ( | const Handle(Geom_ToroidalSurface)& | TorSurf | ) |

## Member Function Documentation

void GeomToStep_MakeToroidalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeToroidalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeToroidalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_ToroidalSurface& GeomToStep_MakeToroidalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_ToroidalSurface GeomToStep_MakeToroidalSurface::theToroidalSurface `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeToroidalSurface.hxx